
From: Kevin Corry <kevcorry@us.ibm.com>

dm-exception-store.c: Fix error cleanup in dm_create_persistent().
This was originally found by chrisw during code review.

From: Dave Olien <dmo@osdl.org>
Signed-off-by: Kevin Corry <kevcorry@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-exception-store.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/dm-exception-store.c~dm-3-5-fix-error-cleanup-in-dm_create_persistent drivers/md/dm-exception-store.c
--- 25/drivers/md/dm-exception-store.c~dm-3-5-fix-error-cleanup-in-dm_create_persistent	Wed Jun  9 14:23:50 2004
+++ 25-akpm/drivers/md/dm-exception-store.c	Wed Jun  9 14:23:50 2004
@@ -569,8 +569,8 @@ int dm_create_persistent(struct exceptio
       bad:
 	dm_io_put(sectors_to_pages(chunk_size));
 	if (ps) {
-		if (ps->callbacks)
-			vfree(ps->callbacks);
+		if (ps->area)
+			free_area(ps);
 
 		kfree(ps);
 	}
_
